
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>&lt;no title&gt; &#8212; Battery SOH  documentation</title>
    
  <link href="../_static/css/theme.css" rel="stylesheet" />
  <link href="../_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/basic.css" />
    <link rel="stylesheet" type="text/css" href="../_static/css/custom.css" />
    
  <link rel="preload" as="script" href="../_static/js/index.1c5a1a01449ed65a7b51.js">

    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
    <script async="async" src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
    <script>window.MathJax = {"tex": {"inlineMath": [["$", "$"], ["\\(", "\\)"]], "processEscapes": true}, "options": {"ignoreHtmlClass": "tex2jax_ignore|mathjax_ignore|document", "processHtmlClass": "tex2jax_process|mathjax_process|math|output_area"}}</script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    
    <nav class="navbar navbar-light navbar-expand-lg bg-light fixed-top bd-navbar" id="navbar-main"><div class="container-xl">

  <div id="navbar-start">
    
    

<a class="navbar-brand" href="../index.html">
  <img src="../_static/logo.png" class="logo" alt="logo">
</a>


    
  </div>

  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-collapsible" aria-controls="navbar-collapsible" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  
  <div id="navbar-collapsible" class="col-lg-9 collapse navbar-collapse">
    <div id="navbar-center" class="mr-auto">
      
      <div class="navbar-center-item">
        <ul id="navbar-main-elements" class="navbar-nav">
    <li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="../sphinx/Colabs.html">
  Google Colabs
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="../sphinx/main.html">
  Useful dictionaries
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="../sphinx/Battery%20Classes.html">
  Battery Classes
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="../sphinx/Cleaning.html">
  Treatment functions
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="../sphinx/Models.html">
  Models
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="../sphinx/Training.html">
  Training and Simulation
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="../sphinx/Report.html">
  Report related
 </a>
</li>

    
</ul>
      </div>
      
    </div>

    <div id="navbar-end">
      
      <div class="navbar-end-item">
        <ul id="navbar-icon-links" class="navbar-nav" aria-label="Icon Links">
      </ul>
      </div>
      
    </div>
  </div>
</div>
    </nav>
    

    <div class="container-xl">
      <div class="row">
          
            
            <!-- Only show if we have sidebars configured, else just a small margin  -->
            <div class="col-12 col-md-3 bd-sidebar"><form class="bd-search d-flex align-items-center" action="../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main navigation">
  <div class="bd-toc-item active">
    
  </div>
</nav>
            </div>
            
          

          
          <div class="d-none d-xl-block col-xl-2 bd-toc">
            
              
              <div class="toc-item">
                
<div class="tocsection onthispage pt-5 pb-3">
    <i class="fas fa-list"></i> On this page
</div>

<nav id="bd-toc-nav">
    <ul class="simple visible nav section-nav flex-column">
</ul>

</nav>
              </div>
              
              <div class="toc-item">
                
              </div>
              
            
          </div>
          

          
          
            
          
          <main class="col-12 col-md-9 col-xl-7 py-md-5 pl-md-5 pr-md-4 bd-content" role="main">
              
              <div>
                
  
<style>
/* CSS for nbsphinx extension */

/* remove conflicting styling from Sphinx themes */
div.nbinput.container div.prompt *,
div.nboutput.container div.prompt *,
div.nbinput.container div.input_area pre,
div.nboutput.container div.output_area pre,
div.nbinput.container div.input_area .highlight,
div.nboutput.container div.output_area .highlight {
    border: none;
    padding: 0;
    margin: 0;
    box-shadow: none;
}

div.nbinput.container > div[class*=highlight],
div.nboutput.container > div[class*=highlight] {
    margin: 0;
}

div.nbinput.container div.prompt *,
div.nboutput.container div.prompt * {
    background: none;
}

div.nboutput.container div.output_area .highlight,
div.nboutput.container div.output_area pre {
    background: unset;
}

div.nboutput.container div.output_area div.highlight {
    color: unset;  /* override Pygments text color */
}

/* avoid gaps between output lines */
div.nboutput.container div[class*=highlight] pre {
    line-height: normal;
}

/* input/output containers */
div.nbinput.container,
div.nboutput.container {
    display: -webkit-flex;
    display: flex;
    align-items: flex-start;
    margin: 0;
    width: 100%;
}
@media (max-width: 540px) {
    div.nbinput.container,
    div.nboutput.container {
        flex-direction: column;
    }
}

/* input container */
div.nbinput.container {
    padding-top: 5px;
}

/* last container */
div.nblast.container {
    padding-bottom: 5px;
}

/* input prompt */
div.nbinput.container div.prompt pre {
    color: #307FC1;
}

/* output prompt */
div.nboutput.container div.prompt pre {
    color: #BF5B3D;
}

/* all prompts */
div.nbinput.container div.prompt,
div.nboutput.container div.prompt {
    width: 4.5ex;
    padding-top: 5px;
    position: relative;
    user-select: none;
}

div.nbinput.container div.prompt > div,
div.nboutput.container div.prompt > div {
    position: absolute;
    right: 0;
    margin-right: 0.3ex;
}

@media (max-width: 540px) {
    div.nbinput.container div.prompt,
    div.nboutput.container div.prompt {
        width: unset;
        text-align: left;
        padding: 0.4em;
    }
    div.nboutput.container div.prompt.empty {
        padding: 0;
    }

    div.nbinput.container div.prompt > div,
    div.nboutput.container div.prompt > div {
        position: unset;
    }
}

/* disable scrollbars on prompts */
div.nbinput.container div.prompt pre,
div.nboutput.container div.prompt pre {
    overflow: hidden;
}

/* input/output area */
div.nbinput.container div.input_area,
div.nboutput.container div.output_area {
    -webkit-flex: 1;
    flex: 1;
    overflow: auto;
}
@media (max-width: 540px) {
    div.nbinput.container div.input_area,
    div.nboutput.container div.output_area {
        width: 100%;
    }
}

/* input area */
div.nbinput.container div.input_area {
    border: 1px solid #e0e0e0;
    border-radius: 2px;
    /*background: #f5f5f5;*/
}

/* override MathJax center alignment in output cells */
div.nboutput.container div[class*=MathJax] {
    text-align: left !important;
}

/* override sphinx.ext.imgmath center alignment in output cells */
div.nboutput.container div.math p {
    text-align: left;
}

/* standard error */
div.nboutput.container div.output_area.stderr {
    background: #fdd;
}

/* ANSI colors */
.ansi-black-fg { color: #3E424D; }
.ansi-black-bg { background-color: #3E424D; }
.ansi-black-intense-fg { color: #282C36; }
.ansi-black-intense-bg { background-color: #282C36; }
.ansi-red-fg { color: #E75C58; }
.ansi-red-bg { background-color: #E75C58; }
.ansi-red-intense-fg { color: #B22B31; }
.ansi-red-intense-bg { background-color: #B22B31; }
.ansi-green-fg { color: #00A250; }
.ansi-green-bg { background-color: #00A250; }
.ansi-green-intense-fg { color: #007427; }
.ansi-green-intense-bg { background-color: #007427; }
.ansi-yellow-fg { color: #DDB62B; }
.ansi-yellow-bg { background-color: #DDB62B; }
.ansi-yellow-intense-fg { color: #B27D12; }
.ansi-yellow-intense-bg { background-color: #B27D12; }
.ansi-blue-fg { color: #208FFB; }
.ansi-blue-bg { background-color: #208FFB; }
.ansi-blue-intense-fg { color: #0065CA; }
.ansi-blue-intense-bg { background-color: #0065CA; }
.ansi-magenta-fg { color: #D160C4; }
.ansi-magenta-bg { background-color: #D160C4; }
.ansi-magenta-intense-fg { color: #A03196; }
.ansi-magenta-intense-bg { background-color: #A03196; }
.ansi-cyan-fg { color: #60C6C8; }
.ansi-cyan-bg { background-color: #60C6C8; }
.ansi-cyan-intense-fg { color: #258F8F; }
.ansi-cyan-intense-bg { background-color: #258F8F; }
.ansi-white-fg { color: #C5C1B4; }
.ansi-white-bg { background-color: #C5C1B4; }
.ansi-white-intense-fg { color: #A1A6B2; }
.ansi-white-intense-bg { background-color: #A1A6B2; }

.ansi-default-inverse-fg { color: #FFFFFF; }
.ansi-default-inverse-bg { background-color: #000000; }

.ansi-bold { font-weight: bold; }
.ansi-underline { text-decoration: underline; }


div.nbinput.container div.input_area div[class*=highlight] > pre,
div.nboutput.container div.output_area div[class*=highlight] > pre,
div.nboutput.container div.output_area div[class*=highlight].math,
div.nboutput.container div.output_area.rendered_html,
div.nboutput.container div.output_area > div.output_javascript,
div.nboutput.container div.output_area:not(.rendered_html) > img{
    padding: 5px;
    margin: 0;
}

/* fix copybtn overflow problem in chromium (needed for 'sphinx_copybutton') */
div.nbinput.container div.input_area > div[class^='highlight'],
div.nboutput.container div.output_area > div[class^='highlight']{
    overflow-y: hidden;
}

/* hide copybtn icon on prompts (needed for 'sphinx_copybutton') */
.prompt a.copybtn {
    display: none;
}

/* Some additional styling taken form the Jupyter notebook CSS */
div.rendered_html table {
  border: none;
  border-collapse: collapse;
  border-spacing: 0;
  color: black;
  font-size: 12px;
  table-layout: fixed;
}
div.rendered_html thead {
  border-bottom: 1px solid black;
  vertical-align: bottom;
}
div.rendered_html tr,
div.rendered_html th,
div.rendered_html td {
  text-align: right;
  vertical-align: middle;
  padding: 0.5em 0.5em;
  line-height: normal;
  white-space: normal;
  max-width: none;
  border: none;
}
div.rendered_html th {
  font-weight: bold;
}
div.rendered_html tbody tr:nth-child(odd) {
  background: #f5f5f5;
}
div.rendered_html tbody tr:hover {
  background: rgba(66, 165, 245, 0.2);
}
</style>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[ ]:
</pre></div>
</div>
<div class="input_area highlight-python notranslate"><div class="highlight"><pre>
<span></span><span class="kn">from</span> <span class="nn">google.colab</span> <span class="kn">import</span> <span class="n">drive</span>
<span class="kn">import</span> <span class="nn">os</span>
<span class="kn">import</span> <span class="nn">torch</span> <span class="k">as</span> <span class="nn">th</span>

<span class="c1"># Mounting google drivee</span>
<span class="n">drive</span><span class="o">.</span><span class="n">mount</span><span class="p">(</span><span class="s1">&#39;/content/gdrive&#39;</span><span class="p">)</span>
<span class="n">folder_name</span> <span class="o">=</span> <span class="s1">&#39;Battery_SOH_final&#39;</span>
<span class="c1"># The root path will change depending on the latest &#39;bakcup&#39;</span>
<span class="n">root_path</span> <span class="o">=</span> <span class="s1">&#39;gdrive/My Drive/battery_soh/&#39;</span> <span class="o">+</span> <span class="n">folder_name</span>
<span class="n">os</span><span class="o">.</span><span class="n">chdir</span><span class="p">(</span><span class="n">root_path</span><span class="p">)</span>
<span class="n">device</span> <span class="o">=</span> <span class="n">th</span><span class="o">.</span><span class="n">device</span><span class="p">(</span><span class="s1">&#39;cuda:0&#39;</span> <span class="k">if</span> <span class="n">th</span><span class="o">.</span><span class="n">cuda</span><span class="o">.</span><span class="n">is_available</span><span class="p">()</span> <span class="k">else</span> <span class="s1">&#39;cpu&#39;</span><span class="p">)</span>
<span class="n">device</span>
</pre></div>
</div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
Mounted at /content/gdrive
</pre></div></div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
device(type=&#39;cuda&#39;, index=0)
</pre></div></div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[ ]:
</pre></div>
</div>
<div class="input_area highlight-python notranslate"><div class="highlight"><pre>
<span></span>!pip install PyAstronomy
from MIT_Classes import *
from LSTM import *
</pre></div>
</div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
Collecting PyAstronomy
  Downloading PyAstronomy-0.16.0.tar.gz (711 kB)
     |████████████████████████████████| 711 kB 34.1 MB/s
Requirement already satisfied: numpy in /usr/local/lib/python3.7/dist-packages (from PyAstronomy) (1.19.5)
Requirement already satisfied: six in /usr/local/lib/python3.7/dist-packages (from PyAstronomy) (1.15.0)
Building wheels for collected packages: PyAstronomy
  Building wheel for PyAstronomy (setup.py) ... done
  Created wheel for PyAstronomy: filename=PyAstronomy-0.16.0-py3-none-any.whl size=504495 sha256=061b5a220cfe9b2d0a78b692be445f09bd6d98ca44bba6b8968dc909765c340d
  Stored in directory: /root/.cache/pip/wheels/fb/cd/72/74c0769291063761fb050b8f05b80f5603789c2374e80d51d1
Successfully built PyAstronomy
Installing collected packages: PyAstronomy
Successfully installed PyAstronomy-0.16.0
</pre></div></div>
</div>
<div class="nbinput nblast docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[ ]:
</pre></div>
</div>
<div class="input_area highlight-python notranslate"><div class="highlight"><pre>
<span></span><span class="n">os</span><span class="o">.</span><span class="n">chdir</span><span class="p">(</span><span class="s1">&#39;.//Datasets/Severson et al./2. 2017-06-30/Raw Dataset&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[ ]:
</pre></div>
</div>
<div class="input_area highlight-python notranslate"><div class="highlight"><pre>
<span></span><span class="c1"># Creating the raw batteries</span>
<span class="n">f</span> <span class="o">=</span> <span class="n">h5py</span><span class="o">.</span><span class="n">File</span><span class="p">(</span><span class="s1">&#39;2017-06-30_batchdata_updated_struct_errorcorrect.mat&#39;</span><span class="p">)</span>

<span class="k">for</span> <span class="n">battery_number</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="nb">len</span><span class="p">(</span><span class="n">f</span><span class="p">[</span><span class="s1">&#39;batch&#39;</span><span class="p">][</span><span class="s1">&#39;cycle_life&#39;</span><span class="p">])):</span>
    <span class="nb">print</span><span class="p">(</span><span class="n">battery_number</span><span class="p">)</span>
    <span class="n">f</span> <span class="o">=</span> <span class="n">h5py</span><span class="o">.</span><span class="n">File</span><span class="p">(</span><span class="s1">&#39;2017-06-30_batchdata_updated_struct_errorcorrect.mat&#39;</span><span class="p">)</span>
    <span class="n">B</span> <span class="o">=</span> <span class="n">Dataset_MIT</span><span class="p">(</span><span class="n">f</span><span class="p">,</span> <span class="n">battery_number</span><span class="p">,</span> <span class="n">print_bool</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>

    <span class="k">with</span> <span class="nb">open</span><span class="p">(</span><span class="s1">&#39;B&#39;</span><span class="o">+</span><span class="nb">str</span><span class="p">(</span><span class="n">battery_number</span><span class="p">)</span><span class="o">+</span><span class="s1">&#39;_Dataset_MIT.txt&#39;</span><span class="p">,</span> <span class="s1">&#39;wb&#39;</span><span class="p">)</span> <span class="k">as</span> <span class="n">f_2</span><span class="p">:</span>
        <span class="n">pickle</span><span class="o">.</span><span class="n">dump</span><span class="p">(</span><span class="n">B</span><span class="p">,</span> <span class="n">f_2</span><span class="p">)</span>

<span class="c1"># Creating the cleaned datasets:</span>
<span class="n">files</span> <span class="o">=</span> <span class="n">os</span><span class="o">.</span><span class="n">listdir</span><span class="p">()</span>  <span class="c1"># All files in the folder</span>
<span class="n">file_list</span> <span class="o">=</span> <span class="p">[]</span>  <span class="c1"># List with the valid files</span>
<span class="k">for</span> <span class="n">file_name</span> <span class="ow">in</span> <span class="n">files</span><span class="p">:</span>
    <span class="n">match</span> <span class="o">=</span> <span class="n">re</span><span class="o">.</span><span class="n">search</span><span class="p">(</span><span class="sa">r</span><span class="s1">&#39;B\d</span><span class="si">{1}</span><span class="s1">&#39;</span><span class="p">,</span> <span class="n">file_name</span><span class="p">)</span>  <span class="c1"># Only take into acount</span>
    <span class="c1"># the battery files</span>
    <span class="k">if</span> <span class="n">match</span> <span class="o">==</span> <span class="kc">None</span><span class="p">:</span>
        <span class="k">continue</span>
    <span class="k">else</span><span class="p">:</span>
        <span class="n">file_list</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">file_name</span><span class="p">)</span>
<span class="n">file_list</span><span class="o">.</span><span class="n">sort</span><span class="p">()</span>

<span class="k">for</span> <span class="n">file_name</span> <span class="ow">in</span> <span class="n">file_list</span><span class="p">:</span>

    <span class="k">with</span> <span class="nb">open</span><span class="p">(</span><span class="n">file_name</span><span class="p">,</span> <span class="s1">&#39;rb&#39;</span><span class="p">)</span> <span class="k">as</span> <span class="n">f</span><span class="p">:</span>
        <span class="n">B</span> <span class="o">=</span> <span class="n">pickle</span><span class="o">.</span><span class="n">load</span><span class="p">(</span><span class="n">f</span><span class="p">)</span>

    <span class="nb">print</span><span class="p">(</span><span class="n">B</span><span class="o">.</span><span class="n">Name</span><span class="p">)</span>
    <span class="n">Battery</span> <span class="o">=</span> <span class="n">Clean_MIT_Battery</span><span class="p">(</span><span class="n">B</span><span class="p">)</span>

    <span class="n">os</span><span class="o">.</span><span class="n">chdir</span><span class="p">(</span><span class="s1">&#39;../Clean Dataset&#39;</span><span class="p">)</span>
    <span class="k">with</span> <span class="nb">open</span><span class="p">(</span><span class="n">Battery</span><span class="o">.</span><span class="n">Name</span><span class="o">+</span><span class="s1">&#39;.txt&#39;</span><span class="p">,</span> <span class="s1">&#39;wb&#39;</span><span class="p">)</span> <span class="k">as</span> <span class="n">f</span><span class="p">:</span>
        <span class="n">pickle</span><span class="o">.</span><span class="n">dump</span><span class="p">(</span><span class="n">Battery</span><span class="p">,</span> <span class="n">f</span><span class="p">)</span>
    <span class="n">os</span><span class="o">.</span><span class="n">chdir</span><span class="p">(</span><span class="s1">&#39;../Raw Dataset&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
0
Number of cycles:  326
1
Number of cycles:  170
2
Number of cycles:  464
3
Number of cycles:  361
4
Number of cycles:  471
5
Number of cycles:  507
6
Number of cycles:  545
7
Number of cycles:  662
8
Number of cycles:  981
9
Number of cycles:  1060
10
Number of cycles:  596
11
Number of cycles:  505
12
Number of cycles:  491
13
Number of cycles:  520
14
Number of cycles:  509
15
Number of cycles:  208
16
Number of cycles:  482
17
Number of cycles:  525
18
Number of cycles:  523
19
Number of cycles:  489
20
Number of cycles:  531
21
Number of cycles:  520
22
Number of cycles:  540
23
Number of cycles:  562
24
Number of cycles:  524
25
Number of cycles:  487
26
Number of cycles:  498
27
Number of cycles:  495
28
Number of cycles:  541
29
Number of cycles:  522
30
Number of cycles:  507
31
Number of cycles:  519
32
Number of cycles:  544
33
Number of cycles:  546
34
Number of cycles:  526
35
Number of cycles:  486
36
Number of cycles:  560
37
Number of cycles:  502
38
Number of cycles:  487
39
Number of cycles:  480
40
Number of cycles:  530
41
Number of cycles:  452
42
Number of cycles:  492
43
Number of cycles:  487
44
Number of cycles:  479
45
Number of cycles:  514
46
Number of cycles:  449
47
Number of cycles:  745
B0000
326
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0010
596
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0011
505
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0012
491
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0013
520
B0014
509
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0015
208
B0016
482
B0017
525
B0018
523
B0019
489
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0001
170
B0020
531
B0021
520
B0022
540
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0023
562
B0024
524
Cycle number  205  too short
Cycle number  206  too short
Cycle number  207  too short
Cycle number  209  too short
Cycle number  210  too short
Cycle number  211  too short
Cycle number  212  too short
Cycle number  213  too short
Cycle number  214  too short
Cycle number  215  too short
Cycle number  216  too short
Cycle number  217  too short
Cycle number  218  too short
Cycle number  219  too short
Cycle number  220  too short
Cycle number  221  too short
Cycle number  222  too short
Cycle number  223  too short
Cycle number  224  too short
Cycle number  225  too short
Cycle number  226  too short
Cycle number  227  too short
Cycle number  228  too short
Cycle number  229  too short
Cycle number  230  too short
Cycle number  231  too short
Cycle number  232  too short
Cycle number  233  too short
Cycle number  234  too short
Cycle number  235  too short
Cycle number  236  too short
Cycle number  237  too short
Cycle number  238  too short
Cycle number  239  too short
Cycle number  240  too short
Cycle number  241  too short
Cycle number  242  too short
Cycle number  243  too short
Cycle number  244  too short
Cycle number  245  too short
Cycle number  246  too short
Cycle number  247  too short
Cycle number  248  too short
Cycle number  249  too short
Cycle number  250  too short
Cycle number  251  too short
Cycle number  252  too short
Cycle number  253  too short
Cycle number  254  too short
Cycle number  255  too short
Cycle number  256  too short
Cycle number  257  too short
Cycle number  258  too short
Cycle number  259  too short
Cycle number  260  too short
Cycle number  261  too short
Cycle number  262  too short
Cycle number  263  too short
Cycle number  264  too short
Cycle number  265  too short
Cycle number  266  too short
Cycle number  267  too short
Cycle number  268  too short
Cycle number  269  too short
Cycle number  270  too short
Cycle number  271  too short
Cycle number  272  too short
Cycle number  273  too short
Cycle number  274  too short
Cycle number  275  too short
Cycle number  276  too short
Cycle number  277  too short
Cycle number  278  too short
Cycle number  279  too short
Cycle number  280  too short
Cycle number  281  too short
Cycle number  282  too short
Cycle number  283  too short
Cycle number  284  too short
Cycle number  285  too short
Cycle number  286  too short
Cycle number  287  too short
Cycle number  288  too short
Cycle number  289  too short
Cycle number  290  too short
Cycle number  291  too short
Cycle number  292  too short
Cycle number  293  too short
Cycle number  294  too short
Cycle number  295  too short
Cycle number  296  too short
Cycle number  297  too short
Cycle number  298  too short
Cycle number  299  too short
Cycle number  300  too short
Cycle number  301  too short
Cycle number  302  too short
Cycle number  303  too short
Cycle number  304  too short
Cycle number  305  too short
Cycle number  306  too short
Cycle number  307  too short
Cycle number  308  too short
Cycle number  309  too short
Cycle number  310  too short
Cycle number  311  too short
Cycle number  312  too short
Cycle number  313  too short
Cycle number  314  too short
Cycle number  315  too short
Cycle number  316  too short
Cycle number  317  too short
Cycle number  318  too short
Cycle number  319  too short
Cycle number  320  too short
Cycle number  321  too short
Cycle number  322  too short
Cycle number  323  too short
Cycle number  324  too short
Cycle number  325  too short
Cycle number  326  too short
Cycle number  327  too short
Cycle number  328  too short
Cycle number  329  too short
Cycle number  330  too short
Cycle number  331  too short
Cycle number  332  too short
Cycle number  333  too short
Cycle number  334  too short
Cycle number  335  too short
Cycle number  336  too short
Cycle number  337  too short
Cycle number  338  too short
Cycle number  339  too short
Cycle number  340  too short
Cycle number  341  too short
Cycle number  342  too short
Cycle number  343  too short
Cycle number  344  too short
Cycle number  345  too short
Cycle number  346  too short
Cycle number  347  too short
Cycle number  348  too short
Cycle number  349  too short
Cycle number  350  too short
Cycle number  351  too short
Cycle number  352  too short
Cycle number  353  too short
Cycle number  354  too short
Cycle number  355  too short
Cycle number  356  too short
Cycle number  357  too short
Cycle number  358  too short
Cycle number  359  too short
Cycle number  360  too short
Cycle number  361  too short
Cycle number  362  too short
Cycle number  363  too short
Cycle number  364  too short
Cycle number  365  too short
Cycle number  366  too short
Cycle number  367  too short
Cycle number  368  too short
Cycle number  369  too short
Cycle number  370  too short
Cycle number  371  too short
Cycle number  372  too short
Cycle number  373  too short
Cycle number  374  too short
Cycle number  375  too short
Cycle number  376  too short
Cycle number  377  too short
Cycle number  378  too short
Cycle number  379  too short
Cycle number  380  too short
Cycle number  381  too short
Cycle number  382  too short
Cycle number  383  too short
Cycle number  384  too short
Cycle number  385  too short
Cycle number  386  too short
Cycle number  387  too short
Cycle number  388  too short
Cycle number  389  too short
Cycle number  390  too short
Cycle number  391  too short
Cycle number  392  too short
Cycle number  393  too short
Cycle number  394  too short
Cycle number  395  too short
Cycle number  396  too short
Cycle number  397  too short
Cycle number  398  too short
Cycle number  399  too short
Cycle number  400  too short
Cycle number  401  too short
Cycle number  402  too short
Cycle number  403  too short
Cycle number  404  too short
Cycle number  405  too short
Cycle number  406  too short
Cycle number  407  too short
Cycle number  408  too short
Cycle number  409  too short
Cycle number  410  too short
Cycle number  411  too short
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
Cycle number  412  too short
Cycle number  413  too short
Cycle number  414  too short
Cycle number  415  too short
Cycle number  416  too short
Cycle number  417  too short
Cycle number  418  too short
Cycle number  419  too short
Cycle number  420  too short
Cycle number  421  too short
Cycle number  422  too short
Cycle number  423  too short
Cycle number  424  too short
Cycle number  425  too short
Cycle number  426  too short
Cycle number  427  too short
Cycle number  428  too short
Cycle number  429  too short
Cycle number  430  too short
Cycle number  431  too short
Cycle number  432  too short
Cycle number  433  too short
Cycle number  434  too short
Cycle number  435  too short
Cycle number  436  too short
Cycle number  437  too short
Cycle number  438  too short
Cycle number  439  too short
Cycle number  440  too short
Cycle number  441  too short
Cycle number  442  too short
Cycle number  443  too short
Cycle number  444  too short
Cycle number  445  too short
Cycle number  446  too short
Cycle number  447  too short
Cycle number  448  too short
Cycle number  449  too short
Cycle number  450  too short
Cycle number  451  too short
Cycle number  452  too short
Cycle number  453  too short
Cycle number  454  too short
Cycle number  455  too short
Cycle number  456  too short
Cycle number  457  too short
Cycle number  458  too short
Cycle number  459  too short
Cycle number  460  too short
Cycle number  461  too short
Cycle number  462  too short
Cycle number  463  too short
Cycle number  464  too short
Cycle number  465  too short
Cycle number  466  too short
Cycle number  467  too short
Cycle number  468  too short
Cycle number  469  too short
Cycle number  470  too short
Cycle number  471  too short
Cycle number  472  too short
Cycle number  473  too short
Cycle number  474  too short
Cycle number  475  too short
Cycle number  476  too short
Cycle number  477  too short
Cycle number  478  too short
Cycle number  479  too short
Cycle number  480  too short
Cycle number  481  too short
Cycle number  482  too short
Cycle number  483  too short
Cycle number  484  too short
Cycle number  485  too short
Cycle number  486  too short
Cycle number  487  too short
Cycle number  488  too short
Cycle number  489  too short
Cycle number  490  too short
B0025
487
Cycle number  153  too short
Cycle number  154  too short
Cycle number  156  too short
Cycle number  157  too short
Cycle number  159  too short
Cycle number  160  too short
Cycle number  161  too short
Cycle number  162  too short
Cycle number  163  too short
Cycle number  164  too short
Cycle number  165  too short
Cycle number  166  too short
Cycle number  167  too short
Cycle number  168  too short
Cycle number  169  too short
Cycle number  170  too short
Cycle number  171  too short
Cycle number  172  too short
Cycle number  173  too short
Cycle number  174  too short
Cycle number  175  too short
Cycle number  176  too short
Cycle number  177  too short
Cycle number  178  too short
Cycle number  179  too short
Cycle number  180  too short
Cycle number  181  too short
Cycle number  182  too short
Cycle number  183  too short
Cycle number  184  too short
Cycle number  185  too short
Cycle number  186  too short
Cycle number  187  too short
Cycle number  188  too short
Cycle number  189  too short
Cycle number  190  too short
Cycle number  191  too short
Cycle number  192  too short
Cycle number  193  too short
Cycle number  194  too short
Cycle number  195  too short
Cycle number  196  too short
Cycle number  197  too short
Cycle number  198  too short
Cycle number  199  too short
Cycle number  200  too short
Cycle number  201  too short
Cycle number  202  too short
Cycle number  203  too short
Cycle number  204  too short
Cycle number  205  too short
Cycle number  206  too short
Cycle number  207  too short
Cycle number  208  too short
Cycle number  209  too short
Cycle number  210  too short
Cycle number  211  too short
Cycle number  212  too short
Cycle number  213  too short
Cycle number  214  too short
Cycle number  215  too short
Cycle number  216  too short
Cycle number  217  too short
Cycle number  218  too short
Cycle number  219  too short
Cycle number  220  too short
Cycle number  221  too short
Cycle number  222  too short
Cycle number  223  too short
Cycle number  224  too short
Cycle number  225  too short
Cycle number  226  too short
Cycle number  227  too short
Cycle number  228  too short
Cycle number  229  too short
Cycle number  230  too short
Cycle number  231  too short
Cycle number  232  too short
Cycle number  233  too short
Cycle number  234  too short
Cycle number  235  too short
Cycle number  236  too short
Cycle number  237  too short
Cycle number  238  too short
Cycle number  239  too short
Cycle number  240  too short
Cycle number  241  too short
Cycle number  242  too short
Cycle number  243  too short
Cycle number  244  too short
Cycle number  245  too short
Cycle number  246  too short
Cycle number  247  too short
Cycle number  248  too short
Cycle number  249  too short
Cycle number  250  too short
Cycle number  251  too short
Cycle number  252  too short
Cycle number  253  too short
Cycle number  254  too short
Cycle number  255  too short
Cycle number  256  too short
Cycle number  257  too short
Cycle number  258  too short
Cycle number  259  too short
Cycle number  260  too short
Cycle number  261  too short
Cycle number  262  too short
Cycle number  263  too short
Cycle number  264  too short
Cycle number  265  too short
Cycle number  266  too short
Cycle number  267  too short
Cycle number  268  too short
Cycle number  269  too short
Cycle number  270  too short
Cycle number  271  too short
Cycle number  272  too short
Cycle number  273  too short
Cycle number  274  too short
Cycle number  275  too short
Cycle number  276  too short
Cycle number  277  too short
Cycle number  278  too short
Cycle number  279  too short
Cycle number  280  too short
Cycle number  281  too short
Cycle number  282  too short
Cycle number  283  too short
Cycle number  284  too short
Cycle number  285  too short
Cycle number  286  too short
Cycle number  287  too short
Cycle number  288  too short
Cycle number  289  too short
Cycle number  290  too short
Cycle number  291  too short
Cycle number  292  too short
Cycle number  293  too short
Cycle number  294  too short
Cycle number  295  too short
Cycle number  296  too short
Cycle number  297  too short
Cycle number  298  too short
Cycle number  299  too short
Cycle number  300  too short
Cycle number  301  too short
Cycle number  302  too short
Cycle number  303  too short
Cycle number  304  too short
Cycle number  305  too short
Cycle number  306  too short
Cycle number  307  too short
Cycle number  308  too short
Cycle number  309  too short
Cycle number  310  too short
Cycle number  311  too short
Cycle number  312  too short
Cycle number  313  too short
Cycle number  314  too short
Cycle number  315  too short
Cycle number  316  too short
Cycle number  317  too short
Cycle number  318  too short
Cycle number  319  too short
Cycle number  320  too short
Cycle number  321  too short
Cycle number  322  too short
Cycle number  323  too short
Cycle number  324  too short
Cycle number  325  too short
Cycle number  326  too short
Cycle number  327  too short
Cycle number  328  too short
Cycle number  329  too short
Cycle number  330  too short
Cycle number  331  too short
Cycle number  332  too short
Cycle number  333  too short
Cycle number  334  too short
Cycle number  335  too short
Cycle number  336  too short
Cycle number  337  too short
Cycle number  338  too short
Cycle number  339  too short
Cycle number  340  too short
Cycle number  341  too short
Cycle number  342  too short
Cycle number  343  too short
Cycle number  344  too short
Cycle number  345  too short
Cycle number  346  too short
Cycle number  347  too short
Cycle number  348  too short
Cycle number  349  too short
Cycle number  350  too short
Cycle number  351  too short
Cycle number  352  too short
Cycle number  353  too short
Cycle number  354  too short
Cycle number  355  too short
Cycle number  356  too short
Cycle number  357  too short
Cycle number  358  too short
Cycle number  359  too short
Cycle number  360  too short
Cycle number  361  too short
Cycle number  362  too short
Cycle number  363  too short
Cycle number  364  too short
Cycle number  365  too short
Cycle number  366  too short
Cycle number  367  too short
Cycle number  368  too short
Cycle number  369  too short
Cycle number  370  too short
Cycle number  371  too short
Cycle number  372  too short
Cycle number  373  too short
Cycle number  374  too short
Cycle number  375  too short
Cycle number  376  too short
Cycle number  377  too short
Cycle number  378  too short
Cycle number  379  too short
Cycle number  380  too short
Cycle number  381  too short
Cycle number  382  too short
Cycle number  383  too short
Cycle number  384  too short
Cycle number  385  too short
Cycle number  386  too short
Cycle number  387  too short
Cycle number  388  too short
Cycle number  389  too short
Cycle number  390  too short
Cycle number  391  too short
Cycle number  392  too short
Cycle number  393  too short
Cycle number  394  too short
Cycle number  395  too short
Cycle number  396  too short
Cycle number  397  too short
Cycle number  398  too short
Cycle number  399  too short
Cycle number  400  too short
Cycle number  401  too short
Cycle number  402  too short
Cycle number  403  too short
Cycle number  404  too short
Cycle number  405  too short
Cycle number  406  too short
Cycle number  407  too short
Cycle number  408  too short
Cycle number  409  too short
Cycle number  410  too short
Cycle number  411  too short
Cycle number  412  too short
Cycle number  413  too short
Cycle number  414  too short
Cycle number  415  too short
Cycle number  416  too short
Cycle number  417  too short
Cycle number  418  too short
Cycle number  419  too short
Cycle number  420  too short
Cycle number  421  too short
Cycle number  422  too short
Cycle number  423  too short
Cycle number  424  too short
Cycle number  425  too short
Cycle number  426  too short
Cycle number  427  too short
Cycle number  428  too short
Cycle number  429  too short
Cycle number  430  too short
Cycle number  431  too short
Cycle number  432  too short
Cycle number  433  too short
Cycle number  434  too short
Cycle number  435  too short
Cycle number  436  too short
Cycle number  437  too short
Cycle number  438  too short
Cycle number  439  too short
Cycle number  440  too short
Cycle number  441  too short
Cycle number  442  too short
Cycle number  443  too short
Cycle number  444  too short
Cycle number  445  too short
Cycle number  446  too short
Cycle number  447  too short
Cycle number  448  too short
Cycle number  449  too short
Cycle number  450  too short
Cycle number  451  too short
Cycle number  452  too short
Cycle number  453  too short
Cycle number  454  too short
Cycle number  455  too short
Cycle number  456  too short
Cycle number  457  too short
B0026
498
Cycle number  187  too short
Cycle number  188  too short
Cycle number  189  too short
Cycle number  190  too short
Cycle number  191  too short
Cycle number  192  too short
Cycle number  193  too short
Cycle number  194  too short
Cycle number  195  too short
Cycle number  196  too short
Cycle number  197  too short
Cycle number  198  too short
Cycle number  199  too short
Cycle number  200  too short
Cycle number  201  too short
Cycle number  202  too short
Cycle number  203  too short
Cycle number  204  too short
Cycle number  205  too short
Cycle number  206  too short
Cycle number  207  too short
Cycle number  208  too short
Cycle number  209  too short
Cycle number  210  too short
Cycle number  211  too short
Cycle number  212  too short
Cycle number  213  too short
Cycle number  214  too short
Cycle number  215  too short
Cycle number  216  too short
Cycle number  217  too short
Cycle number  218  too short
Cycle number  219  too short
Cycle number  220  too short
Cycle number  221  too short
Cycle number  222  too short
Cycle number  223  too short
Cycle number  224  too short
Cycle number  225  too short
Cycle number  226  too short
Cycle number  227  too short
Cycle number  228  too short
Cycle number  229  too short
Cycle number  230  too short
Cycle number  231  too short
Cycle number  232  too short
Cycle number  233  too short
Cycle number  234  too short
Cycle number  235  too short
Cycle number  236  too short
Cycle number  237  too short
Cycle number  238  too short
Cycle number  239  too short
Cycle number  240  too short
Cycle number  241  too short
Cycle number  242  too short
Cycle number  243  too short
Cycle number  244  too short
Cycle number  245  too short
Cycle number  246  too short
Cycle number  247  too short
Cycle number  248  too short
Cycle number  249  too short
Cycle number  250  too short
Cycle number  251  too short
Cycle number  252  too short
Cycle number  253  too short
Cycle number  254  too short
Cycle number  255  too short
Cycle number  256  too short
Cycle number  257  too short
Cycle number  258  too short
Cycle number  259  too short
Cycle number  260  too short
Cycle number  261  too short
Cycle number  262  too short
Cycle number  263  too short
Cycle number  264  too short
Cycle number  265  too short
Cycle number  266  too short
Cycle number  267  too short
Cycle number  268  too short
Cycle number  269  too short
Cycle number  270  too short
Cycle number  271  too short
Cycle number  272  too short
Cycle number  273  too short
Cycle number  274  too short
Cycle number  275  too short
Cycle number  276  too short
Cycle number  277  too short
Cycle number  278  too short
Cycle number  279  too short
Cycle number  280  too short
Cycle number  281  too short
Cycle number  282  too short
Cycle number  283  too short
Cycle number  284  too short
Cycle number  285  too short
Cycle number  286  too short
Cycle number  287  too short
Cycle number  288  too short
Cycle number  289  too short
Cycle number  290  too short
Cycle number  291  too short
Cycle number  292  too short
Cycle number  293  too short
Cycle number  294  too short
Cycle number  295  too short
Cycle number  296  too short
Cycle number  297  too short
Cycle number  298  too short
Cycle number  299  too short
Cycle number  300  too short
Cycle number  301  too short
Cycle number  302  too short
Cycle number  303  too short
Cycle number  304  too short
Cycle number  305  too short
Cycle number  306  too short
Cycle number  307  too short
Cycle number  308  too short
Cycle number  309  too short
Cycle number  310  too short
Cycle number  311  too short
Cycle number  312  too short
Cycle number  313  too short
Cycle number  314  too short
Cycle number  315  too short
Cycle number  316  too short
Cycle number  317  too short
Cycle number  318  too short
Cycle number  319  too short
Cycle number  320  too short
Cycle number  321  too short
Cycle number  322  too short
Cycle number  323  too short
Cycle number  324  too short
Cycle number  325  too short
Cycle number  326  too short
Cycle number  327  too short
Cycle number  328  too short
Cycle number  329  too short
Cycle number  330  too short
Cycle number  331  too short
Cycle number  332  too short
Cycle number  333  too short
Cycle number  334  too short
Cycle number  335  too short
Cycle number  336  too short
Cycle number  337  too short
Cycle number  338  too short
Cycle number  339  too short
Cycle number  340  too short
Cycle number  341  too short
Cycle number  342  too short
Cycle number  343  too short
Cycle number  344  too short
Cycle number  345  too short
Cycle number  346  too short
Cycle number  347  too short
Cycle number  348  too short
Cycle number  349  too short
Cycle number  350  too short
Cycle number  351  too short
Cycle number  352  too short
Cycle number  353  too short
Cycle number  354  too short
Cycle number  355  too short
Cycle number  356  too short
Cycle number  357  too short
Cycle number  358  too short
Cycle number  359  too short
Cycle number  360  too short
Cycle number  361  too short
Cycle number  362  too short
Cycle number  363  too short
Cycle number  364  too short
Cycle number  365  too short
Cycle number  366  too short
Cycle number  367  too short
Cycle number  368  too short
Cycle number  369  too short
Cycle number  370  too short
Cycle number  371  too short
Cycle number  372  too short
Cycle number  373  too short
Cycle number  374  too short
Cycle number  375  too short
Cycle number  376  too short
Cycle number  377  too short
Cycle number  378  too short
Cycle number  379  too short
Cycle number  380  too short
Cycle number  381  too short
Cycle number  382  too short
Cycle number  383  too short
Cycle number  384  too short
Cycle number  385  too short
Cycle number  386  too short
Cycle number  387  too short
Cycle number  388  too short
Cycle number  389  too short
Cycle number  390  too short
Cycle number  391  too short
Cycle number  392  too short
Cycle number  393  too short
Cycle number  394  too short
Cycle number  395  too short
Cycle number  396  too short
Cycle number  397  too short
Cycle number  398  too short
Cycle number  399  too short
Cycle number  400  too short
Cycle number  401  too short
Cycle number  402  too short
Cycle number  403  too short
Cycle number  404  too short
Cycle number  405  too short
Cycle number  406  too short
Cycle number  407  too short
Cycle number  408  too short
Cycle number  409  too short
Cycle number  410  too short
Cycle number  411  too short
Cycle number  412  too short
Cycle number  413  too short
Cycle number  414  too short
Cycle number  415  too short
Cycle number  416  too short
Cycle number  417  too short
Cycle number  418  too short
Cycle number  419  too short
Cycle number  420  too short
Cycle number  421  too short
Cycle number  422  too short
Cycle number  423  too short
Cycle number  424  too short
Cycle number  425  too short
Cycle number  426  too short
Cycle number  427  too short
Cycle number  428  too short
Cycle number  429  too short
Cycle number  430  too short
Cycle number  431  too short
Cycle number  432  too short
Cycle number  433  too short
Cycle number  434  too short
Cycle number  435  too short
Cycle number  436  too short
Cycle number  437  too short
Cycle number  438  too short
Cycle number  439  too short
Cycle number  440  too short
Cycle number  441  too short
Cycle number  442  too short
Cycle number  443  too short
Cycle number  444  too short
Cycle number  445  too short
Cycle number  446  too short
Cycle number  447  too short
Cycle number  448  too short
Cycle number  449  too short
Cycle number  450  too short
Cycle number  451  too short
Cycle number  452  too short
Cycle number  453  too short
Cycle number  454  too short
Cycle number  455  too short
Cycle number  456  too short
Cycle number  457  too short
Cycle number  458  too short
Cycle number  459  too short
Cycle number  460  too short
Cycle number  461  too short
Cycle number  462  too short
Cycle number  463  too short
Cycle number  464  too short
Cycle number  465  too short
Cycle number  466  too short
B0027
495
B0028
541
B0029
522
B0002
464
B0030
507
B0031
519
B0032
544
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0033
546
B0034
526
Cycle number  353  too short
B0035
486
B0036
560
B0037
502
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0038
487
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0039
480
B0003
361
B0040
530
B0041
452
B0042
492
B0043
487
B0044
479
B0045
514
B0046
449
B0047
745
B0004
471
B0005
507
B0006
545
B0007
662
Cycle number  148  too short
Cycle number  162  too short
Cycle number  170  too short
Cycle number  173  too short
Cycle number  181  too short
Cycle number  183  too short
Cycle number  184  too short
Cycle number  188  too short
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
Cycle number  195  too short
Cycle number  196  too short
Cycle number  199  too short
Cycle number  202  too short
Cycle number  206  too short
Cycle number  210  too short
Cycle number  215  too short
Cycle number  218  too short
Cycle number  229  too short
B0008
981
Cycle number  466  too short
Cycle number  479  too short
Cycle number  482  too short
Cycle number  487  too short
Cycle number  489  too short
Cycle number  491  too short
Cycle number  497  too short
Cycle number  501  too short
Cycle number  502  too short
Cycle number  503  too short
Cycle number  504  too short
Cycle number  505  too short
Cycle number  506  too short
Cycle number  507  too short
Cycle number  509  too short
Cycle number  512  too short
Cycle number  513  too short
Cycle number  514  too short
Cycle number  516  too short
Cycle number  517  too short
Cycle number  518  too short
Cycle number  520  too short
Cycle number  523  too short
Cycle number  524  too short
Cycle number  527  too short
Cycle number  532  too short
Cycle number  534  too short
Cycle number  535  too short
Cycle number  541  too short
Cycle number  542  too short
Cycle number  549  too short
B0009
1060
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
Cycle number  581  too short
Cycle number  586  too short
Cycle number  587  too short
Cycle number  591  too short
Cycle number  593  too short
Cycle number  594  too short
Cycle number  595  too short
Cycle number  599  too short
Cycle number  606  too short
Cycle number  609  too short
Cycle number  610  too short
Cycle number  617  too short
Cycle number  619  too short
Cycle number  623  too short
Cycle number  624  too short
Cycle number  631  too short
Cycle number  632  too short
Cycle number  633  too short
Cycle number  635  too short
Cycle number  637  too short
Cycle number  639  too short
Cycle number  641  too short
Cycle number  642  too short
Cycle number  650  too short
Cycle number  655  too short
Cycle number  656  too short
Cycle number  666  too short
Cycle number  673  too short
</pre></div></div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area stderr docutils container">
<div class="highlight"><pre>
/usr/local/lib/python3.7/dist-packages/pandas/core/frame.py:4174: SettingWithCopyWarning:
A value is trying to be set on a copy of a slice from a DataFrame

See the caveats in the documentation: https://pandas.pydata.org/pandas-docs/stable/user_guide/indexing.html#returning-a-view-versus-a-copy
  errors=errors,
</pre></div></div>
</div>
<div class="nbinput nblast docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[ ]:
</pre></div>
</div>
<div class="input_area highlight-python notranslate"><div class="highlight"><pre>
<span></span><span class="c1"># from Severson_Classes import *</span>
</pre></div>
</div>
</div>
<div class="nbinput docutils container">
<div class="prompt highlight-none notranslate"><div class="highlight"><pre><span></span>[ ]:
</pre></div>
</div>
<div class="input_area highlight-python notranslate"><div class="highlight"><pre>
<span></span><span class="c1"># os.chdir(&#39;.//Datasets/Severson et al./Cleaned_v2&#39;)</span>
<span class="c1"># os.chdir(&#39;.//2. 2017-06-30&#39;)</span>

<span class="c1"># file_list = os.listdir()</span>
<span class="c1"># file_list.sort()</span>
<span class="c1">#</span>
<span class="c1"># for file in file_list:</span>
<span class="c1">#     print(file)</span>
<span class="c1">#     with open(file, &#39;rb&#39;) as f:</span>
<span class="c1">#         sev_battery = pickle.load(f)</span>
<span class="c1">#     os.chdir(&#39;../../Raw Dataset/Clean_MIT&#39;)</span>
<span class="c1">#     with open(file, &#39;rb&#39;) as f:</span>
<span class="c1">#         mit_battery = pickle.load(f)</span>

<span class="c1">#     assert (len(sev_battery.capacity_curve) == len(mit_battery.capacity_curve)), &#39;oh no&#39;</span>
<span class="c1">#     os.chdir(&#39;../../Cleaned_v2/2. 2017-06-30&#39;)</span>
</pre></div>
</div>
</div>
<div class="nboutput docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
B0000.txt
B0001.txt
B0002.txt
B0003.txt
B0004.txt
B0005.txt
B0006.txt
B0007.txt
B0008.txt
B0009.txt
B0010.txt
B0011.txt
B0012.txt
B0013.txt
B0014.txt
B0015.txt
B0016.txt
B0017.txt
B0018.txt
B0019.txt
B0020.txt
B0021.txt
B0022.txt
B0023.txt
B0024.txt
B0025.txt
B0026.txt
B0027.txt
B0028.txt
B0029.txt
B0030.txt
B0031.txt
B0032.txt
B0033.txt
B0034.txt
B0035.txt
B0036.txt
B0037.txt
B0038.txt
B0039.txt
B0040.txt
B0041.txt
B0042.txt
B0043.txt
B0044.txt
B0045.txt
B0046.txt
B0047.txt
loader_list_Sev
</pre></div></div>
</div>
<div class="nboutput nblast docutils container">
<div class="prompt empty docutils container">
</div>
<div class="output_area docutils container">
<div class="highlight"><pre>
<span class="ansi-red-fg">---------------------------------------------------------------------------</span>
<span class="ansi-red-fg">FileNotFoundError</span>                         Traceback (most recent call last)
<span class="ansi-green-fg">&lt;ipython-input-32-e0bc4fe2186d&gt;</span> in <span class="ansi-cyan-fg">&lt;module&gt;</span><span class="ansi-blue-fg">()</span>
<span class="ansi-green-intense-fg ansi-bold">     10</span>         sev_battery <span class="ansi-blue-fg">=</span> pickle<span class="ansi-blue-fg">.</span>load<span class="ansi-blue-fg">(</span>f<span class="ansi-blue-fg">)</span>
<span class="ansi-green-intense-fg ansi-bold">     11</span>     os<span class="ansi-blue-fg">.</span>chdir<span class="ansi-blue-fg">(</span><span class="ansi-blue-fg">&#39;../../Raw Dataset/Clean_MIT&#39;</span><span class="ansi-blue-fg">)</span>
<span class="ansi-green-fg">---&gt; 12</span><span class="ansi-red-fg">     </span><span class="ansi-green-fg">with</span> open<span class="ansi-blue-fg">(</span>file<span class="ansi-blue-fg">,</span> <span class="ansi-blue-fg">&#39;rb&#39;</span><span class="ansi-blue-fg">)</span> <span class="ansi-green-fg">as</span> f<span class="ansi-blue-fg">:</span>
<span class="ansi-green-intense-fg ansi-bold">     13</span>         mit_battery <span class="ansi-blue-fg">=</span> pickle<span class="ansi-blue-fg">.</span>load<span class="ansi-blue-fg">(</span>f<span class="ansi-blue-fg">)</span>
<span class="ansi-green-intense-fg ansi-bold">     14</span>

<span class="ansi-red-fg">FileNotFoundError</span>: [Errno 2] No such file or directory: &#39;loader_list_Sev&#39;
</pre></div></div>
</div>


              </div>
              
              
              <div class='prev-next-bottom'>
                

              </div>
              
          </main>
          

      </div>
    </div>
  
  <script src="../_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  <footer class="footer mt-5 mt-md-0">
  <div class="container">
    
    <div class="footer-item">
      <p class="copyright">
    &copy; Copyright 2021, Antonio Rocha Azevedo.<br/>
</p>
    </div>
    
    <div class="footer-item">
      <p class="sphinx-version">
Created using <a href="http://sphinx-doc.org/">Sphinx</a> 4.0.2.<br/>
</p>
    </div>
    
  </div>
</footer>
  </body>
</html>